Subject: Should "head" also work for "HEAD" on case-insensitive FS?

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 04 Jul 2017 00:00:49 +0200

I don't have a OSX box, but was helping a co-worker over Jabber the
other day, and he pasted something like:

    $ git merge-base github/master head

Which didn't work for me, and I thought he had a local "head" branch
until realizing that of course we were just resolving HEAD on the FS.

Has this come up before? I think it makes sense to warn/error about
these magic /HEAD/ revisions if they're not upper-case.

This is likely unintentional and purely some emergent effect of how it's
implemented, and leads to unportable git invocations.